
* main sample all & postwar // as in basic_regressions
local c1 core==1
local c2 core==1 & year>1945

local p1 f1
local p2 pt2

local type fin norm
local debt prv pub

local rhs9 drprv dlrgdp dlrcon drlmoney dlcpi dlriy stir ltrate cay ///
		l.drprv l.dlrgdp l.dlrcon l.drlmoney l.dlcpi ///
		l.dlriy l.stir l.ltrate l.cay
		
local rhs7 drprv dlrgdp dlcpi dlriy stir ltrate cay ///
		l.drprv l.dlrgdp l.dlcpi ///
		l.dlriy l.stir l.ltrate l.cay

*pick the rhs7 as rhs
local rhs drprv dlrgdp dlcpi dlriy stir ltrate cay ///
		l.drprv l.dlrgdp l.dlcpi ///
		l.dlriy l.stir l.ltrate l.cay

*local irvars lrgdp lriy lcpi lrcon rprv rlmoney cay stir ltrate // rhs9
local irvars lrgdp lriy lcpi rprv cay stir ltrate // rhs7

forvalues i=1/5 {
	foreach v of local irvars {
	
	if "`v'"=="stir" | "`v'"=="ltrate" | "`v'"=="cay" {
		gen `v'`i' = (f`i'.`v' - `v')
	}
	else {
		gen `v'`i' = 100*(f`i'.`v' - `v')
	}
	}
}

********************************************************************
* Average effects (Unconditional) 

* make a 1970s dummy for the unconditional cpi regression
gen dum70s = cond(year>=1970&year<=1979,1,0)


foreach v of local irvars {
	foreach t of local type {
		forvalues j=1/2 {

		gen b1_`v'_`t'_`p`j'' =0
		gen se1_`v'_`t'_`p`j'' =0
		}
	}
}

foreach v of local irvars {
	forvalues i =1/5 {
		forvalues j = 1/2 {
		
	if "`v'"=="lcpi" {
		reg `v'`i' pk_norm pk_fin dum70s if `c`j'', noconstant //dummy out 70s hi inflation
	}
	else {
		reg `v'`i' pk_norm pk_fin  if `c`j'', noconstant
	}
				
			foreach t of local type {
				
				qui replace b1_`v'_`t'_`p`j'' =  _b[pk_`t'] if _n == `i'+1
				qui replace se1_`v'_`t'_`p`j'' = _se[pk_`t'] if _n == `i'+1
			}
		}
	}
}

********************************************************************
* Responses (conditional)

local varlist2 srx_norm_prv srx_fin_prv
local varlist3 pk_norm pk_fin

foreach v of local irvars {
	forvalues j = 1/2 {
		foreach m of local varlist2 {
			forvalues k = 2/3 {
			
				gen b`k'_1_`m'_`v'_`p`j'' =0
				gen b`k'_10_`m'_`v'_`p`j'' =0
				gen se`k'_`m'_`v'_`p`j'' =0
			}
		}
			foreach n of local varlist3 {
				gen b3_`n'_`v'_`p`j'' =0
				gen se3_`n'_`v'_`p`j'' =0
			}
		}
	}

foreach v of local irvars {
	forvalues i =1/5 {
		forvalues j = 1/2 {
		
				qui xtreg `v'`i' srx_norm_prv srx_fin_prv ///
									`rhs' if `c`j'', fe 
				
				foreach m of local varlist2 {
				
				qui replace b2_1_`m'_`v'_`p`j'' =  _b[`m'] if _n == `i'+1
				qui replace b2_10_`m'_`v'_`p`j'' =  _b[`m'] if _n == `i'+1
				qui replace se2_`m'_`v'_`p`j'' = _se[`m'] if _n == `i'+1
				}
		}
	}
}
			
************************************
foreach v of local irvars {
	forvalues i =1/5 {
		forvalues j = 1/2 {
				
			qui xtreg `v'`i' srx_norm_prv srx_fin_prv ///
								pk_norm pk_fin `rhs' ///
								if `c`j'', fe  
					
				foreach t of local type {	
			
					qui replace b3_pk_`t'_`v'_`p`j'' = _b[pk_`t'] if _n ==`i'+1
					qui replace se3_pk_`t'_`v'_`p`j'' = _se[pk_`t'] if _n ==`i'+1
				}
					
				foreach m of local varlist2 {
			
					qui replace b3_1_`m'_`v'_`p`j'' = _b[`m'] if _n ==`i'+1
					qui replace b3_10_`m'_`v'_`p`j'' = _b[`m'] if _n ==`i'+1
					qui replace se3_`m'_`v'_`p`j'' = _se[`m'] if _n ==`i'+1
				}
		}
	}
}

foreach v of local irvars {
	forvalues j = 1/2 {
		foreach m of local varlist2 {
			
***  			replace b2_1_`m'_`v'_`p`j'' = 1*b2_1_`m'_`v'_`p`j'' if _n > 1
***  			replace b2_10_`m'_`v'_`p`j'' = 5*b2_1_`m'_`v'_`p`j'' if _n > 1
			replace b2_1_`m'_`v'_`p`j'' = 0.5*b2_1_`m'_`v'_`p`j'' if _n > 1
			replace b2_10_`m'_`v'_`p`j'' = 3*b2_1_`m'_`v'_`p`j'' if _n > 1
		}
		foreach t of local type {
***  			gen b4_1_srx_`t'_prv_`v'_`p`j'' = b3_pk_`t'_`v'_`p`j'' + 1*b3_1_srx_`t'_prv_`v'_`p`j'' if _n > 1
***  			gen b4_10_srx_`t'_prv_`v'_`p`j'' = b3_pk_`t'_`v'_`p`j'' + 5*b3_1_srx_`t'_prv_`v'_`p`j'' if _n > 1
  			gen b4_1_srx_`t'_prv_`v'_`p`j'' = b3_pk_`t'_`v'_`p`j'' + 0.5*b3_1_srx_`t'_prv_`v'_`p`j'' if _n > 1
  			gen b4_10_srx_`t'_prv_`v'_`p`j'' = b3_pk_`t'_`v'_`p`j'' + 3*b3_1_srx_`t'_prv_`v'_`p`j'' if _n > 1
		}
	}
}
foreach v of local irvars {
	forvalues j = 1/2 {
		foreach t of local type {
		
		replace b3_1_srx_`t'_prv_`v'_`p`j'' =0
		replace b3_1_srx_`t'_prv_`v'_`p`j'' = b4_1_srx_`t'_prv_`v'_`p`j'' if _n > 1
		replace b3_10_srx_`t'_prv_`v'_`p`j'' =0
		replace b3_10_srx_`t'_prv_`v'_`p`j'' = b4_10_srx_`t'_prv_`v'_`p`j'' if _n > 1
		}
	}
}

gen Years = _n-1  if _n < 7
gen zero=0
