*** this is the same regression as the * Average effects (Unconditional) * regression in regressions_7Sep2012.do ***
*** just set up differently to export the coefficients into excel ****

*** create label names for the two sample periods
local p1 f1
local p2 pt2

*** create the year constraints for the two sample periods
local c1 year >= 1870
local c2 year > 1946

local irvars lrgdp lriy lcpi lrcon rprv rlmoney cay stir ltrate

*** Set-up the graph to be filled in ***
gen n = _n if _n < 26
gen period =""

gen rhs3 = ""
forvalues z = 1(5)21 {
	replace rhs3 = "Financial Crisis" if n==`z'
	replace rhs3 = "Normal Recessions" if n==`z'+2
	replace rhs3 = "Observations" if n==`z'+4
}

gen Year =.
forvalues i=1/5 {
	replace Year = `i' if _n==1+[(`i'-1)*5]
	}

foreach v of local irvars {
	forvalues j=1/2 {
		
	gen `v'_`p`j''=.
	
	}
}

foreach v of local irvars {
	forvalues i =1/5 {
		forvalues j = 1/2 {
		
		reg `v'`i' pk_norm pk_fin if pk_bb!=0 & `c`j'', noconstant
			
			replace `v'_`p`j''= _b[pk_fin] if _n==1+[(`i'-1)*5] 		// the _n stuff just puts each coefficient in 
			replace `v'_`p`j''= -1*_se[pk_fin] if _n==2+[(`i'-1)*5] 	// the cell I want for excel-exporting
		
			replace `v'_`p`j''= _b[pk_norm] if _n==3+[(`i'-1)*5] 
			replace `v'_`p`j''= -1*_se[pk_norm] if _n==4+[(`i'-1)*5] 
		
			replace `v'_`p`j''= e(N) if _n==5+[(`i'-1)*5]
		}
	}
}


export excel rhs3 Year lrgdp_f1 lrgdp_pt2 lrcon_f1 lrcon_pt2 lriy_f1 lriy_pt2 cay_f1 cay_pt2 ///
	lcpi_f1 lcpi_pt2 rlmoney_f1 rlmoney_pt2 stir_f1 stir_pt2 ltrate_f1 ltrate_pt2 rprv_f1 rprv_pt2 ///
using ../tables/table3_6Sep2012.xlsx, firstrow(variables) sheet(table3_6Sep2012) sheetreplace
